> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve DataSet Details

> Retrieves the details of an existing DataSet.



## OpenAPI

````yaml /openapi/platform/dataset.yaml GET /v1/datasets/{dataset_id}
openapi: 3.0.0
info:
  title: DataSet API
  description: >
    ## The DataSet Object


    ---


    The DataSet API allows you to create, replace, append to, export, and manage
    DataSets, as well as manage data permissions for DataSets within Domo. Most
    of its calls return a DataSet object.



    <!-- theme: info -->


    > #### Best Practice

    >

    > The DataSet API should be used to create and update small DataSets that
    occasionally need their data updated. For creating and updating massive,
    constantly changing, or rapidly growing DataSets, the Stream API is
    recommended.


    <!-- theme: info -->


    > #### Permissions

    >

    > To update or write to a DataSet via API, you must have the Manage DataSet
    grant enabled.


    ### Attributes


    | Property Name | Type | Description |

    | --- | --- | --- |

    | id | String | ID of the DataSet |

    | name | String | Name of the DataSet |

    | description | String | Description of DataSet |

    | owner.id | String | ID of the owner |

    | owner.name | String | Name of the owner |

    | columns | Number | The number of columns currently in the DataSet |

    | createdAt | String | An ISO-8601 representation of the creation date of
    the DataSet |

    | updatedAt | String | AN ISO-8601 representation of the time the DataSet
    was last updated |

    | dataCurrentAt | String | An ISO-8601 representation of the time the
    DataSet was current |

    | schema | Object | The current schema associated with this DataSet |

    | schema.columns | Array | Array of columns in the DataSet |

    | schema.columns\[\].name | String | Column name in the DataSet schema |

    | schema.columns\[\].type | String | Column type in the DataSet schema.
    Valid types are STRING, DECIMAL, LONG, DOUBLE, DATE, DATETIME. |

    | pdpEnabled | Boolean | Indicates if PDP \[Personalized Data Permission\]
    policy filtering on data is active on this DataSet |

    | policies | Array | List of policies attached to DataSet |

    | policies\[\].filters\[\].column | String | Name of the column to filter on
    |

    | policies\[\].filters\[\].not | Boolean | Determines if NOT is applied to
    the filter operation |

    | policies\[\].filters\[\].operator | String | Matching operator (EQUALS) |

    | policies\[\].filters\[\].values\[\] | String | Values to filter on |

    | policies\[\].groups | Array | List of group IDs the policy applies to |

    | policies\[\].id | Number | ID of the Policy |

    | policies\[\].name | String | Name of the Policy |

    | policies\[\].type | String | Type of policy (user or system) |

    | policies\[\].users | Array | List of user IDs the policy applies to |

    | rows | Number | The number of rows currently in the DataSet |
  version: 1.0.0
servers:
  - url: https://api.domo.com
    description: Domo API
security:
  - bearerAuth: []
paths:
  /v1/datasets/{dataset_id}:
    parameters:
      - schema:
          type: string
        name: dataset_id
        in: path
        required: true
        description: The ID of the DataSet
    get:
      summary: Retrieve DataSet Details
      description: Retrieves the details of an existing DataSet.
      parameters:
        - name: dataset_id
          in: path
          schema:
            type: string
          required: true
      responses:
        '200':
          description: >-
            Returns a DataSet object if a valid `dataset_id` was provided. When
            requesting, if the `dataset_id` is related to a DataSet that has
            been deleted, a subset of the DataSet's information will be
            returned, including a `deleted` property, which will be `true`.
          content:
            application/json:
              examples:
                Example 1:
                  value:
                    id: 08a061e2-12a2-4646-b4bc-20beddb403e3
                    name: Timeline Feed
                    description: Important
                    rows: 1
                    columns: 6
                    schema:
                      columns:
                        - type: STRING
                          name: Name
                    createdAt: '2015-12-10T07:06:14Z'
                    updatedAt: '2016-02-29T20:56:20.567Z'
                    pdpEnabled: false
                    policies:
                      - id: 8
                        type: user
                        name: Only Show Attendees
                        filters:
                          - column: Attending
                            values:
                              - 'TRUE'
                            operator: EQUALS
                            not: false
                        users:
                          - 27
                        groups: []
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  description:
                    type: string
                  rows:
                    type: integer
                  columns:
                    type: integer
                  schema:
                    type: object
                    properties:
                      columns:
                        type: array
                        items:
                          type: object
                          properties:
                            type:
                              type: string
                            name:
                              type: string
                  createdAt:
                    type: string
                  updatedAt:
                    type: string
                  pdpEnabled:
                    type: boolean
                  policies:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                        type:
                          type: string
                        name:
                          type: string
                        filters:
                          type: array
                          items:
                            type: object
                            properties:
                              column:
                                type: string
                              values:
                                type: array
                                items:
                                  type: string
                              operator:
                                type: string
                              not:
                                type: boolean
                        users:
                          type: array
                          items:
                            type: integer
                        groups:
                          type: array
                          items:
                            type: object
                            properties: {}
                x-examples:
                  Example 1:
                    id: 08a061e2-12a2-4646-b4bc-20beddb403e3
                    name: Timeline Feed
                    description: Important
                    rows: 1
                    columns: 6
                    schema:
                      columns:
                        - type: STRING
                          name: Name
                    createdAt: '2015-12-10T07:06:14Z'
                    updatedAt: '2016-02-29T20:56:20.567Z'
                    pdpEnabled: false
                    policies:
                      - id: 8
                        type: user
                        name: Only Show Attendees
                        filters:
                          - column: Attending
                            values:
                              - 'TRUE'
                            operator: EQUALS
                            not: false
                        users:
                          - 27
                        groups: []
            application/xml:
              schema:
                type: object
                properties: {}
              examples:
                Example 1:
                  value: '[object Object]'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````